OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ai_info.cpp File Reference

Implementation of AIInfo and AILibrary. More...

`#include "../stdafx.h"`
`#include "../script/squirrel_class.hpp"`
`#include "ai_info.hpp"`
`#include "ai_scanner.hpp"`
`#include "../debug.h"`
`#include "../string_func.h"`
`#include "../rev.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static bool | CheckAPIVersion (const char *api_version)
| Check if the API version provided by the AI is supported.
template<>
const char * | GetClassName< AIInfo, ST_AI > ()

## Detailed Description

Implementation of AIInfo and AILibrary.

Definition in file ai_info.cpp.

## Function Documentation

static bool CheckAPIVersion | ( | const char * | api_version | ) |
| static

Check if the API version provided by the AI is supported.

Parameters

  api_version | The API version as provided by the AI.

Definition at line 27 of file ai_info.cpp.

Referenced by AIInfo::Constructor().